#
# spec file for package extractpdfmark
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           extractpdfmark
Version:        1.1.0
Release:        bp154.2.35
Summary:        Helper for correctly compacting PDF files created by TeX
License:        GPL-3.0-or-later
URL:            https://github.com/trueroad/extractpdfmark/
Source0:        https://github.com/trueroad/extractpdfmark/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch0:         extractpdfmark-1.1.0-poppler-0.84.0.patch
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(poppler-cpp) >= 0.79.0

%description
This tool helps compacting PDF files generated by the TeX
typesetting system by extracting meta data like page mode and named
destinations (link targets) and saving them in a PDFmark file. The
PDFmark file can then be used by ghostscript when processing the
TeX-generated PDF to make sure that the final output contains correct
page mode and link targets. Such post-processing of TeX-generated PDF
output is often useful to reduce the size of the final PDF document,
e.g. by removing duplicate font sets.

%prep
%autosetup -p1


%build
%configure
%make_build


%install
%make_install
rm -rf %{buildroot}%{_datadir}/doc

%check
%make_build check

%files
%doc NEWS README.*
%license COPYING
%{_bindir}/extractpdfmark
%{_mandir}/man1/extractpdfmark.1%{?ext_man}

%changelog
* Mon Mar  1 2021 Antoine Belvire <antoine.belvire@opensuse.org>
- Build against the poppler-cpp interface.
- Sort file list.
* Wed May  6 2020 Dave Plater <davejplater@gmail.com>
- Created package from fedora source rpm for lilyponds
  documentation build
